#!/usr/bin/env bash

die() {
    echo $@
    exit 1
}

#[ "x${SALT}" = "x" ] && die "you must set SALT to the salt."
#SALT=$(dd count=1024 if=/dev/random 2>/dev/null |md5sum|sed 's/-//')
#[ $? -ne 0 ] && die "failed to generate SALT"
[ "x${PASS}" = "x" ] && die "you must set PASS to the password"

RET=0
for FILE in "$@"; do
    if [[ "${FILE}" = *.nc ]]; then
        echo "Not encrypting ${FILE} because its name already ends in .nc"
    else
        NEW_FILE="${FILE}.nc"
        if [ -e "${NEW_FILE}" ]; then
            echo "Not encrypting ${FILE} because there is already a ${NEW_FILE}"
        else
            if openssl enc -aes-256-ecb \
                    -salt \
                    -k "${PASS}" < "${FILE}" > "${NEW_FILE}"; then
                echo "Created ${NEW_FILE}"
            else
                echo "Failed to create ${NEW_FILE}"
                RET=1
            fi
        fi
    fi
done
exit $RET
